summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStuart Herbert <stuart@gentoo.org>2004-05-25 10:22:02 +0000
committerStuart Herbert <stuart@gentoo.org>2004-05-25 10:22:02 +0000
commit5e558965643690eb7546bbae487d823c5992d16e (patch)
treee14e0a02a4d32829d946d625ca0efb8f73480d33 /eclass/webapp.eclass
parentChanged libsigc++ dep from >=v.1.2 to =v.1.2* resolves bug #51325 (Manifest r... (diff)
downloadgentoo-2-5e558965643690eb7546bbae487d823c5992d16e.tar.gz
gentoo-2-5e558965643690eb7546bbae487d823c5992d16e.tar.bz2
gentoo-2-5e558965643690eb7546bbae487d823c5992d16e.zip
Fix for binary package support
Diffstat (limited to 'eclass/webapp.eclass')
-rw-r--r--eclass/webapp.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/webapp.eclass b/eclass/webapp.eclass
index 2526cefb41b9..5a39a0367657 100644
--- a/eclass/webapp.eclass
+++ b/eclass/webapp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/webapp.eclass,v 1.20 2004/05/22 18:56:58 stuart Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/webapp.eclass,v 1.21 2004/05/25 10:22:02 stuart Exp $
#
# eclass/webapp.eclass
# Eclass for installing applications to run under a web server
@@ -33,6 +33,8 @@ IS_REPLACE=0
INSTALL_CHECK_FILE="installed_by_webapp_eclass"
+ETC_CONFIG="/etc/vhosts/webapp-config"
+
# ------------------------------------------------------------------------
# INTERNAL FUNCTION - USED BY THIS ECLASS ONLY
#
@@ -332,7 +334,7 @@ function webapp_pkg_setup ()
# pull in the shared configuration file
G_HOSTNAME="localhost"
- . /etc/vhosts/webapp-config || die "Unable to open /etc/vhosts/webapp-config file"
+ . ${ETC_CONFIG} || die "Unable to open /etc/vhosts/webapp-config file"
# are we installing a webapp-config solution over the top of a
# non-webapp-config solution?
@@ -432,6 +434,8 @@ function webapp_src_preinst ()
function webapp_pkg_postinst ()
{
+ . ${ETC_CONFIG}
+
# sanity checks, to catch bugs in the ebuild
if [ ! -f ${MY_APPDIR}/${INSTALL_CHECK_FILE} ]; then